package com.hammingweight.hammockexamples.example2;

import java.util.Hashtable;
import java.util.Random;


public class PersonDao {

	private Persistence persistence;

	private Random random;

	public void setPersistence(Persistence persistence) {
		this.persistence = persistence;
	}

	public void setRandom(Random random) {
		this.random = random;
	}

	public void persist(Person person) {
		Hashtable h = new Hashtable();
		h.put("fname", person.getFirstName());
		h.put("lname", person.getLastName());
		this.persistence.persist(person.getClass(), this.random.nextInt(), h);
	}
}
