package com.hammingweight.hammock;

import org.easymock.EasyMock;

import junit.framework.TestCase;

public class Hampsy11Test extends TestCase {

	private Hamspy hamspy = new Hamspy();
	
	public void testGetDefaultDoubleValue() throws Throwable {
		MockMethod mm = new MockMethod("foo", 1, IClassDefinitions.DOUBLE_CLASS, true);
		IMockObject mockObject = EasyMock.createMock(IMockObject.class);
		MethodInvocation mi = new MethodInvocation(mm, mockObject, new Object[]{null});
		
		this.hamspy.invoke(mi);
		assertEquals(new Double(0.0), mi.getReturnValue());
	}
	
	public void testGetDefaultFloatValue() throws Throwable {
		MockMethod mm = new MockMethod("foo", 1, IClassDefinitions.FLOAT_CLASS, true);
		IMockObject mockObject = EasyMock.createMock(IMockObject.class);
		MethodInvocation mi = new MethodInvocation(mm, mockObject, new Object[]{null});
		
		this.hamspy.invoke(mi);
		assertEquals(new Float(0.0f), mi.getReturnValue());
	}

}
