package com.hammingweight.hammockexamples.example5;

import javax.microedition.lcdui.List;

public class ViewBookingsList extends List {

	public ViewBookingsList(Logger log, FlightBookingDAO bookingDao) {
		super("Your Bookings", List.IMPLICIT);
		log.debug("ViewBookingsList constructed.");

		FlightBooking[] bookings = null;
		try {
			bookings = bookingDao.getAllBookings();
		} catch (RuntimeException e) {
			log.debug("DAO threw exception.", e);
			throw e;
		}
		for (int i = 0; i < bookings.length; i++) {
			append(bookings[i].getReservationCode(), null);
		}
	}

}
