package com.hammingweight.hammock;

import junit.framework.TestCase;

public class NotNullArgumentMatcherTest extends TestCase {

	// The OUT.
	private NotNullArgumentMatcher matcher = new NotNullArgumentMatcher();
	
	public void testOk() {
		assertTrue(this.matcher.areArgumentsEqual(null, "hello"));
		assertTrue(this.matcher.areArgumentsEqual("1", new Integer(3)));
	}
	
	public void testNotOk() {
		assertFalse(this.matcher.areArgumentsEqual(null, null));
		assertFalse(this.matcher.areArgumentsEqual("1", null));
	}
}
